Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds.naming
Interface Partitionable

public interface Partitionable

Defines methods used to access the partition name space. The implementation classes that support partition naming system access should implement this interface.

Method Summary
`javax.naming.directory.DirContext` | `getPartition(javax.naming.Name name)` Returns the associated partition context based on a name object parameter.
`javax.naming.directory.DirContext` | `getPartition(java.lang.String name)` Returns the associated partition context based on a name string parameter.
`javax.naming.Context` | `getPartitionRoot(javax.naming.Name name)` Returns the root context of a partition naming system based on a name object parameter.
`javax.naming.Context` | `getPartitionRoot(java.lang.String name)` Returns the root context of a partition naming system based on a name string parameter.

Method Detail

### getPartitionRoot

    public javax.naming.Context getPartitionRoot(java.lang.String name)
                                          throws javax.naming.NamingException

  Returns the root context of a partition naming system based on a name string parameter.
  Parameters:
    `name` - The name string to look up.
  Returns:
    The root object of the partition naming system.
  Throws:
    javax.naming.NamingException - When a naming error occurs.

### getPartitionRoot

    public javax.naming.Context getPartitionRoot(javax.naming.Name name)
                                          throws javax.naming.NamingException

  Returns the root context of a partition naming system based on a name object parameter.
  Parameters:
    `name` - The name object to look up.
  Returns:
    The root object of the partition naming system.
  Throws:
    javax.naming.NamingException - When a naming error occurs.

### getPartition

    public javax.naming.directory.DirContext getPartition(java.lang.String name)
                                                   throws javax.naming.NamingException

  Returns the associated partition context based on a name string parameter.
  Parameters:
    `name` - The name string to look up.
  Returns:
    The associated DirContext object in the partition naming system.
  Throws:
    javax.naming.NamingException - When a naming error occurs.

### getPartition

    public javax.naming.directory.DirContext getPartition(javax.naming.Name name)
                                                   throws javax.naming.NamingException

  Returns the associated partition context based on a name object parameter.
  Parameters:
    `name` - The name object to look up.
  Returns:
    The associated DirContext object in the partition naming system.
  Throws:
    javax.naming.NamingException - When a naming error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD